PETSc version 3.15.5
Fix/Edit manual page

# VecGetSize

Returns the global number of elements of the vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetSize(Vec x,PetscInt *size)

Not Collective

### Input Parameter

| x | - the vector

### Output Parameters

| size | - the global length of the vector

### See Also

VecGetLocalSize()

### Level

beginner

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/tutorials/ex2.c.html
src/vec/vec/tutorials/ex7.c.html
src/vec/vec/tutorials/ex8.c.html
src/vec/vec/tutorials/ex18.c.html
src/vec/vec/tutorials/ex2f.F.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex59.c.html
src/ksp/ksp/tutorials/ex68.c.html
src/ksp/ksp/tutorials/ex72.c.html
src/ksp/ksp/tutorials/ex73.c.html
src/snes/tutorials/ex2.c.html

### Implementations

VecGetSize_MPI in src/vec/vec/impls/mpi/pdvec.c
VecGetSize_Nest in src/vec/vec/impls/nest/vecnest.c
VecGetSize_Seq in src/vec/vec/impls/seq/bvec2.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages